/****************************************************************************/
/* GF46 ( 位置情報ｻﾝﾌﾟﾙ )                                                   */
/*                                                                          */
/* Created : 2021/06/29 14:03:35                                            */
/****************************************************************************/

CREATE TABLE GF46 (
   LOC_GRP      VARCHAR2 (   30 )                   NOT NULL            /*  1 位置ｸﾞﾙｰﾌﾟ    */
 , LOC_COL      NUMBER   (   22 )       DEFAULT 0   NOT NULL            /*  2 列位置        */
 , LOC_ROW      NUMBER   (   22 )       DEFAULT 0   NOT NULL            /*  3 行位置        */
 , NAME_JA      VARCHAR2 (  200 )                                       /*  4 名称          */
 , LABEL_NAME   VARCHAR2 (   60 )                                       /*  5 表示名称      */
 , BIKO         VARCHAR2 ( 2000 )                                       /*  6 備考          */
 , ICON         VARCHAR2 (  200 )                                       /*  7 ｱｲｺﾝ          */
 , R_KEY1       VARCHAR2 (   30 )                                       /*  8 連結ｷｰ1       */
 , R_KEY2       VARCHAR2 (   30 )                                       /*  9 連結ｷｰ2       */
 , R_KEY3       VARCHAR2 (   30 )                                       /* 10 連結ｷｰ3       */
 , UNIQ         NUMBER   (    9 )       DEFAULT 0   NOT NULL            /* 11 ﾕﾆｰｸｷｰ        */
 , FGJ          VARCHAR2 (    1 )       DEFAULT '1' NOT NULL            /* 12 状態ﾌﾗｸﾞ      */
 , DYSET        VARCHAR2 (   14 )                                       /* 13 登録日時      */
 , PGSET        VARCHAR2 (   10 )                                       /* 14 作成PG        */
 , PGPSET       VARCHAR2 (   10 )                                       /* 15 作成親PG      */
 , USRSET       VARCHAR2 (   10 )                                       /* 16 作成者        */
 , DYUPD        VARCHAR2 (   14 )                                       /* 17 更新日時      */
 , PGUPD        VARCHAR2 (   10 )                                       /* 18 更新PG        */
 , PGPUPD       VARCHAR2 (   10 )                                       /* 19 更新親PG      */
 , USRUPD       VARCHAR2 (   10 )                                       /* 20 更新者        */
)
TABLESPACE GFTBL01
STORAGE( INITIAL 16K );


CREATE SEQUENCE GF46S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GF46T00 
  BEFORE INSERT ON GF46
  FOR EACH ROW 
  BEGIN 
    SELECT GF46S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
